| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.Vector3u8 Class Reference

An arithmetic vector. More...

Inheritance diagram for IOLink.Vector3u8:

## Public Member Functions
| Vector3u8 (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| Vector3u8 (params byte[] values)
override bool | Equals (object obj)
| Vector3u8 ()
| Create a vector with unitialized values.
| Vector3u8 (VectorXu8 other)
| Build a Vector from a VectorX of same type.
| Vector3u8 (VectorXu8 other, byte padding)
| Build a vector from a VectorX of same type.
| Vector3u8 (Vector3u8 other)
uint | Size ()
| Returns the size of the vector, which also correspond to vector number of dimension.
byte | At (uint index)
| Access vector's value at given index.
void | SetAt (uint index, byte value)
| Set value as given index.
double | SquaredLength ()
| Returns the vector's norm, squared.
double | Length ()
| Returns the vector's norm.
void | Normalize ()
| Normalize the vector.
string | ToString ()
byte | Dot (Vector3u8 v)
| Dot product of two vectors.
Vector3u8 | Cross (Vector3u8 v)
| Cross product of two vectors.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Vector3u8 obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (Vector3u8 obj)
static bool | operator== (Vector3u8 v1, Vector3u8 v2)
static bool | operator!= (Vector3u8 v1, Vector3u8 v2)
static Vector3u8 | operator+ (Vector3u8 v1, Vector3u8 v2)
static Vector3u8 | operator- (Vector3u8 v1, Vector3u8 v2)
static Vector3u8 | operator* (Vector3u8 v, byte value)
static Vector3u8 | operator* (byte value, Vector3u8 v)
static Vector3u8 | operator/ (Vector3u8 v, byte value)
static Vector3u8 | operator* (Vector3u8 v1, Vector3u8 v2)
static Vector3u8 | operator/ (Vector3u8 v1, Vector3u8 v2)
static bool | operator< (Vector3u8 v1, Vector3u8 v2)
static bool | operator<= (Vector3u8 v1, Vector3u8 v2)
static bool | operator> (Vector3u8 v1, Vector3u8 v2)
static bool | operator>= (Vector3u8 v1, Vector3u8 v2)
static Vector3u8 | CreateUniform (byte value)
| Create a vector with the given value for all components.
static Vector3u8 | InternalDivides (Vector3u8 v, byte value)
static Vector3u8 | InternalDivides (Vector3u8 v1, Vector3u8 v2)
static bool | InternalLess (Vector3u8 v1, Vector3u8 v2)
static bool | InternalLessEqual (Vector3u8 v1, Vector3u8 v2)
static bool | InternalGreater (Vector3u8 v1, Vector3u8 v2)
static bool | InternalGreaterEqual (Vector3u8 v1, Vector3u8 v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
byte | this[uint index]`[get, set]`

## Detailed Description

An arithmetic vector.

Parameters

  T | The type wrote in the vector.
  N | The size, or number of dimension of the vector.

Aliases can be used to made this class more practical to use. They use the following convention: VectorNX Where N is the size and X the type. The types currently available are:

- U8 and I8 respectively for unsigned and signed 8bits integers.
- U16 and I16 respectively for unsigned and signed 16bits integers.
- U32 and I32 respectively for unsigned and signed 32bits integers.
- U64 and I64 respectively for unsigned and signed 64bits integers.
- F for single precision floats.
- D for double precision floats.

Examples:

- Vector2i32: 2 dimensional 32bits signed integer.
- Vector3f: 3 dimensionnal single precision float.

Examples
  ColorWheel.cs.

## Constructor & Destructor Documentation

## ◆ Vector3u8() [1/2]

IOLink.Vector3u8.Vector3u8 | ( | VectorXu8 | other | ) |
| inline

Build a Vector from a VectorX of same type.

If the VectorX has a size different of N, behavior is undefined.

## ◆ Vector3u8() [2/2]

IOLink.Vector3u8.Vector3u8 | ( | VectorXu8 | other,
|  | byte | padding
| ) |  |
| inline

Build a vector from a VectorX of same type.

Parameters

  other | VectorX to use to build the new vector
  padding | Value to put at the end of vector to fill missing values. Fox example, Vector4({4, 5}, 0) will create the Vector {4, 5, 0, 0}.

## Member Function Documentation

## ◆ CreateUniform()

static Vector3u8 IOLink.Vector3u8.CreateUniform | ( | byte | value | ) |
| inline static

Create a vector with the given value for all components.

Parameters

  value | The value wich the vector's data will be filled.

## ◆ Cross()

Vector3u8 IOLink.Vector3u8.Cross | ( | Vector3u8 | v | ) |
| inline

Cross product of two vectors.

Work only for vectors of size 3.

## ◆ Length()

double IOLink.Vector3u8.Length | ( |  | ) |
| inline

Returns the vector's norm.

Specifically, it is the L1 norm that's computed here.

## ◆ SquaredLength()

double IOLink.Vector3u8.SquaredLength | ( |  | ) |
| inline

Returns the vector's norm, squared.

Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/net/generated/Vector3u8.cs